﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Data.CommandBase {
  [StorableClass]
  public abstract class DataSetCommandWithAffectedColumnGroupsBase : DataSetCommandBase {
    private DataSetCommandWithAffectedColumnGroupsBase()
      : base(null) {
    }

    protected DataSetCommandWithAffectedColumnGroupsBase(DataSet dataSet, List<string> affectedColumnGroupNames)
      : base(dataSet) {
      this.affectedColumnGroupNames = affectedColumnGroupNames;
    }

    [Storable]
    private List<string> affectedColumnGroupNames;
    protected List<string> AffectedColumnGroupNames {
      get { return this.affectedColumnGroupNames; }
    }
  }
}
